import logging
import os
import datetime
class configlog:

    def get_log(self):
        self.logger = logging.getLogger()
        self.logger.setLevel("DEBUG")

        der = os.path.dirname(os.path.abspath(__file__))
        log_dir = os.path.join(der, "logs")
        log_file = datetime.datetime.now().strftime("%Y-%m-%d") + ".log"
        log_name = log_dir + "/" + log_file

        # 设置文件hender 这个设置是将内容输出到文件中
        file_handler = logging.FileHandler(log_name, mode='a', encoding='utf-8')
        # 流处理 输出到控制台
        stream_hander = logging.StreamHandler()

        # 将一个error文件输入到err.log的的文件中
        error_handler = logging.FileHandler(log_name, mode='a',encoding='utf-8')
        error_handler.setLevel(logging.ERROR)
        self.logger.addHandler(file_handler)
        self.logger.addHandler(error_handler)
        self.logger.addHandler(stream_hander)
        # 设置
        formater = logging.Formatter(fmt="%(asctime)s--%(levelname)s--%(funcName)s--%(lineno)d--%(message)s")
        file_handler.setFormatter(formater)
        error_handler.setFormatter(formater)
        stream_hander.setFormatter(formater)
        # self.logger.info('这是一个info级别的日志')
        # self.logger.error('这是一个错误级别的日志666666666666666666666')
        # self.logger.debug('这是一个debug级别的日志')
if __name__ == '__main__':
    c = configlog()
    c.get_log()
